package cn.com.qmth.markingaudit.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;

import cn.com.qmth.markingaudit.bean.ExamDataQuery;
import cn.com.qmth.markingaudit.bean.ExamDataVo;
import cn.com.qmth.markingaudit.bean.MarkingScoreDataQuery;
import cn.com.qmth.markingaudit.bean.MarkingScoreDataVo;
import cn.com.qmth.markingaudit.bean.QuestionDataQuery;
import cn.com.qmth.markingaudit.bean.QuestionDataVo;
import cn.com.qmth.markingaudit.bean.StudentDataQuery;
import cn.com.qmth.markingaudit.bean.StudentDataVo;
import cn.com.qmth.markingaudit.bean.SubjectDataQuery;
import cn.com.qmth.markingaudit.bean.SubjectDataVo;
import cn.com.qmth.markingaudit.service.MonitorService;
import cn.com.qmth.markingaudit.support.AccessInfo;
import cn.com.qmth.markingaudit.support.CustConstants;
import cn.com.qmth.markingaudit.utils.ServletUtil;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(CustConstants.URI_PREFIX + "/applet")
@Aac(strict = false, auth = true)
public class MonitorController {

    @Autowired
    private MonitorService monitorService;

    @ApiOperation(value = "考试数据")
    @PostMapping("examDataSync")
    public List<ExamDataVo> examData(@Validated ExamDataQuery req) {
        AccessInfo ai = ServletUtil.getAccessInfo();
        req.setSchoolCode(ai.getSchoolCode());
        return monitorService.examData(req);
    }

    @ApiOperation(value = "考生数据")
    @PostMapping("examineeDataSync")
    public List<StudentDataVo> studentData(@Validated StudentDataQuery req) {
        AccessInfo ai = ServletUtil.getAccessInfo();
        req.setSchoolCode(ai.getSchoolCode());
        return monitorService.studentData(req);
    }

    @ApiOperation(value = "科目详情数据(大题信息)")
    @PostMapping("subjectInfoDataSync")
    public List<QuestionDataVo> questionData(@Validated QuestionDataQuery req) {
        AccessInfo ai = ServletUtil.getAccessInfo();
        req.setSchoolCode(ai.getSchoolCode());
        return monitorService.questionData(req);
    }

    @ApiOperation(value = "科目数据")
    @PostMapping("subjectDataSync")
    public List<SubjectDataVo> subjectData(@Validated SubjectDataQuery req) {
        AccessInfo ai = ServletUtil.getAccessInfo();
        req.setSchoolCode(ai.getSchoolCode());
        return monitorService.subjectData(req);
    }

    @ApiOperation(value = "阅卷数据")
    @PostMapping("scoringOperationDataSync")
    public List<MarkingScoreDataVo> markingScoreData(@Validated MarkingScoreDataQuery req) {
        AccessInfo ai = ServletUtil.getAccessInfo();
        req.setSchoolCode(ai.getSchoolCode());
        return monitorService.markingScoreData(req);
    }
}
