package cn.com.qmth.markingaudit.support;

import javax.validation.constraints.Max;

import io.swagger.annotations.ApiModelProperty;

public class IdPagerQuery {

    private String schoolCode;

    @ApiModelProperty(value = "起始id")
    protected Integer startId;

    @ApiModelProperty(value = "每页条数")
    @Max(value = 500, message = "每页条数不能大于500")
    protected Integer pageSize;

    public Integer getStartId() {
        // 默认值
        if (startId == null || startId < 1) {
            startId = 1;
        }

        return startId;
    }

    public Integer getPageSize() {
        // 默认值
        if (pageSize == null || pageSize < 1) {
            pageSize = 10;
        }

        return pageSize;
    }

    public void setStartId(Integer startId) {
        this.startId = startId;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }
}