package cn.com.qmth.markingaudit.support;

import javax.validation.constraints.Max;

import io.swagger.annotations.ApiModelProperty;

public class PagerQuery {

    private String schoolCode;

    @ApiModelProperty(value = "第几页(从1开始)")
    protected Integer pageNumber;

    @ApiModelProperty(value = "每页条数")
    @Max(value = 500, message = "每页条数不能大于500")
    protected Integer pageSize;

    public Integer getPageNumber() {
        // 默认值
        if (pageNumber == null || pageNumber < 1) {
            pageNumber = 1;
        }

        return pageNumber;
    }

    public Integer getPageSize() {
        // 默认值
        if (pageSize == null || pageSize < 1) {
            pageSize = 10;
        }

        return pageSize;
    }

    public void setPageNumber(Integer pageNumber) {
        this.pageNumber = pageNumber;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

}