package cn.com.qmth.markingaudit.utils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import cn.com.qmth.markingaudit.support.AccessInfo;

public class ServletUtil {

    /**
     * 接口日志
     */
    protected static final Logger log = LoggerFactory.getLogger(ServletUtil.class);

    /**
     * 获取request对象
     *
     * @return
     */
    public static HttpServletRequest getRequest() {
        ServletRequestAttributes requestAttributes = (ServletRequestAttributes) RequestContextHolder
                .getRequestAttributes();
        if (requestAttributes == null) {
            return null;
        }
        HttpServletRequest request = requestAttributes.getRequest();
        return request;
    }

    /**
     * 获取response对象
     *
     * @return
     */
    public static HttpServletResponse getResponse() {
        ServletRequestAttributes requestAttributes = (ServletRequestAttributes) RequestContextHolder
                .getRequestAttributes();
        HttpServletResponse response = requestAttributes.getResponse();
        return response;
    }

    public static AccessInfo getAccessInfo() {
        HttpServletRequest request = getRequest();
        if (request == null) {
            return null;
        }

        Object o = request.getAttribute("accessEntity");
        if (o instanceof AccessInfo) {
            return (AccessInfo) o;
        } else {
            return null;
        }
    }

}
